Package com.smartgwt.client.types

# Enum Visibility

java.lang.Object
java.lang.Enum<Visibility>
com.smartgwt.client.types.Visibility

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<Visibility>`, `Constable`

public enum Visibility extends Enum<Visibility> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIDDEN`
  The widget will always be hidden even when its parent is visible.
  `INHERIT`
  The widget visibility will match that of its parent (usually visible).
  `VISIBLE`
  The widget will always be visible whether its parent is or not.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static Visibility`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Visibility[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INHERIT

    public static final Visibility INHERIT
    The widget visibility will match that of its parent (usually visible).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inherit".

  - ### VISIBLE

    public static final Visibility VISIBLE
    The widget will always be visible whether its parent is or not.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visible".

  - ### HIDDEN

    public static final Visibility HIDDEN
    The widget will always be hidden even when its parent is visible.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hidden".

- ## Method Details

  - ### values

    public static Visibility[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Visibility valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`